Updates the work order type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Request Formats :
application/json, text/json
Sample:
{
"id": "595b0676-4624-4bbb-8ee4-eb8c97004b12",
"name": "sample string 2",
"sales_organization_id": "8553bf8f-8bb5-46ee-af96-15d4016d42bb",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-05-29T15:48:14.4124194+00:00",
"code": "sample string 7"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.